Page MenuHomePhabricator

Show installed versions of front-end libraries on Special:Version
Closed, DuplicatePublic

Description

We should show in Special:Version the version of our bundled jQuery libraries (jquery, jquery.effects, jquery.tipsy, jquery.ui).
Packagers may want to provide a different version than the bundled (for instance Debian *will* use its jquery package), and there should be an easier way to determine which libs are being used by MW than sending the reporter to manually look at the files (eg. T35926).


Version: 1.20.x
Severity: minor

Details

Reference
bz38730

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 1:04 AM
bzimport set Reference to bz38730.
bzimport added a subscriber: Unknown Object (MLST).
matmarex set Security to None.

Do we currently store version numbers anywhere for installed JavaScript libraries? I uploaded https://gerrit.wikimedia.org/r/#/c/182097/ for composer managed libraries.

Krinkle closed this task as Declined.EditedJan 1 2015, 4:52 AM
Krinkle claimed this task.
Krinkle added a subscriber: Platonides.

Packagers may want to provide a different version than the bundled (for instance debian *will* use its jquery package), and there should be an easier way to determine which libs are being used by MW than sending the reporter to manually look at the files (eg. T35926).

I assume this bug was filed before MediaWiki started shipping jQuery.

Debian does not, did not and will not use its jquery package for mediawiki. There's no reason for separate web applications to share the same version of a javascript library. They're isolated environments.

As its bundled and presented in its own browser execution context, there is use case for a MediaWiki costumer of any kind to tamper with the core distribution. Changing the jQuery version like that is irresponsible and unnecessary.

Krinkle reopened this task as Open.Jan 1 2015, 5:00 AM

Do we currently store version numbers anywhere for installed JavaScript libraries? I uploaded https://gerrit.wikimedia.org/r/#/c/182097/ for composer managed libraries.

They're not currently declared as explicit numbers anywhere. If and when we use a package manager for front-end libraries, we'll be able to interpret its configuration file similar to Composer's.

Krinkle renamed this task from Show version of jQuery libraries in Special:Version to Show instaled versions of front-end libraries on Special:Version.Jan 1 2015, 5:01 AM
Krinkle renamed this task from Show instaled versions of front-end libraries on Special:Version to Show installed versions of front-end libraries on Special:Version.
Krinkle removed Krinkle as the assignee of this task.
Krinkle lowered the priority of this task from Medium to Low.
Krinkle updated the task description. (Show Details)
Krinkle removed a subscriber: Unknown Object (MLST).
Krinkle added a subscriber: Krinkle.
bd808 moved this task from Untriaged to Done on the Librarization board.Nov 6 2015, 10:27 PM